ReadCommand (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Class ReadCommand

- java.lang.Object
- - org.apache.cassandra.db.ReadCommand

- All Implemented Interfaces:
    IReadCommand, Pageable
  Direct Known Subclasses:
    SliceByNamesReadCommand, SliceFromReadCommand

      public abstract class ReadCommand
      extends java.lang.Object
      implements IReadCommand, Pageable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReadCommand.Type`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.service.pager.Pageable

      `Pageable.ReadCommands`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `cfName`
    `protected ReadCommand.Type` | `commandType`
    `java.nio.ByteBuffer` | `key`
    `java.lang.String` | `ksName`
    `static org.apache.cassandra.db.ReadCommandSerializer` | `serializer`
    `long` | `timestamp`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ReadCommand(java.lang.String ksName, java.nio.ByteBuffer key, java.lang.String cfName, long timestamp, ReadCommand.Type cmdType)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ReadCommand` | `copy()`
    `static ReadCommand` | `create(java.lang.String ksName, java.nio.ByteBuffer key, java.lang.String cfName, long timestamp, IDiskAtomFilter filter)`
    `MessageOut<ReadCommand>` | `createMessage()`
    `abstract IDiskAtomFilter` | `filter()`
    `java.lang.String` | `getColumnFamilyName()`
    `java.lang.String` | `getKeyspace()`
    `abstract Row` | `getRow(Keyspace keyspace)`
    `long` | `getTimeout()`
    `boolean` | `isDigestQuery()`
    `ReadCommand` | `maybeGenerateRetryCommand(RowDataResolver resolver, Row row)`
    `Row` | `maybeTrim(Row row)`
    `ReadCommand` | `setIsDigestQuery(boolean isDigestQuery)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final org.apache.cassandra.db.ReadCommandSerializer serializer

    - #### ksName

          public final java.lang.String ksName

    - #### cfName

          public final java.lang.String cfName

    - #### key

          public final java.nio.ByteBuffer key

    - #### timestamp

          public final long timestamp

    - #### commandType

          protected final ReadCommand.Type commandType

  - ### Constructor Detail

    - #### ReadCommand

          protected ReadCommand(java.lang.String ksName,
                                java.nio.ByteBuffer key,
                                java.lang.String cfName,
                                long timestamp,
                                ReadCommand.Type cmdType)

  - ### Method Detail

    - #### createMessage

          public MessageOut<ReadCommand> createMessage()

    - #### create

          public static ReadCommand create(java.lang.String ksName,
                                           java.nio.ByteBuffer key,
                                           java.lang.String cfName,
                                           long timestamp,
                                           IDiskAtomFilter filter)

    - #### isDigestQuery

          public boolean isDigestQuery()

    - #### setIsDigestQuery

          public ReadCommand setIsDigestQuery(boolean isDigestQuery)

    - #### getColumnFamilyName

          public java.lang.String getColumnFamilyName()

    - #### copy

          public abstract ReadCommand copy()

    - #### getRow

          public abstract Row getRow(Keyspace keyspace)

    - #### filter

          public abstract IDiskAtomFilter filter()

    - #### getKeyspace

          public java.lang.String getKeyspace()

      Specified by:
        `getKeyspace` in interface `IReadCommand`

    - #### maybeGenerateRetryCommand

          public ReadCommand maybeGenerateRetryCommand(RowDataResolver resolver,
                                                       Row row)

    - #### maybeTrim

          public Row maybeTrim(Row row)

    - #### getTimeout

          public long getTimeout()

      Specified by:
        `getTimeout` in interface `IReadCommand`

Copyright © 2018 The Apache Software Foundation